Bug 818886 - cannot register against SAM
cannot register against SAM
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.0.0
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Bryan Kearney
SAM QE List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 05:35 EDT by Jakub Dorňák
Modified: 2016-11-30 19:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 05:46:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/rhsm/rhsm.log (58.81 KB, text/x-log)
2012-05-04 05:35 EDT, Jakub Dorňák
no flags Details

  None (edit)
Description Jakub Dorňák 2012-05-04 05:35:23 EDT
Created attachment 582067 [details]
/var/log/rhsm/rhsm.log

Filed from caserun (INSERT URL HERE)

Version-Release number of selected component (if applicable):
SAM-2012-05-03.1

Steps to Reproduce:

 1. Install a compose
 2. Reboot into running system
 3. Setup /etc/rhsm/rhsm.conf to use an instance of SAM-2012-05-03.1
 4. Register system using subscription-manager command-line interface:
    # subscription-manager register --username=<username> --password=<password>

Actual results: 

RHEL5:
stdout: RemoteServerException instance has no attribute 'args'
exitcode: 255

RHEL6:
stdout: Remote server error. Please check the connection details, or see /var/log/rhsm/rhsm.log for more information.
exitcode: 255

Expected results:
exitcode 0
Comment 1 Jakub Dorňák 2012-05-04 05:46:12 EDT
I have used an old api uri /headpin/api instead of the new one /sam/api

Note You need to log in before you can comment on or make changes to this bug.